<?xml version="1.0"?>
<project name="Aperi installer build"  default=""  >

	<import file="scripts/database.xml"/>	
	<import file="scripts/server.xml"/>	
	<import file="scripts/agent.xml"/>	
	<import file="scripts/download.xml"/>	

	<taskdef name="encryptPassword" classname="org.eclipse.aperi.install.EncryptPassword" />
	<taskdef name="guid" classname="org.eclipse.aperi.install.UUID" />
	<taskdef name="startScript" classname="org.eclipse.aperi.install.CreateStartScript" />
	<taskdef name="postInstall" classname="org.eclipse.aperi.install.PostInstall" />
	<taskdef resource="net/sf/antcontrib/antcontrib.properties" />
	
	<!-- Load the install properties -->
	<loadproperties srcfile="${basedir}/ant.install.properties" />
	
	<!-- Init target -->
	<target name="init" depends="">
		<osfamily property="osfamily" />
		<encryptPassword password="${db.password}" property="db.password.encrypted" />
		<guid file="${basedir}/../guid.txt" />
		<startScript configureAgent="${configureAgent}" 
					 configureServer="${configureServer}"
					 dbTarget="${db.target}"/>
	</target>
	
	<!-- PostInstall, run at the end of installation -->
		<target name="postInstall" >
			<postInstall/>
		</target>

</project>
